<apex:page standardController="Opportunity" extensions="Sites_DIA_Private_Programming" sidebar="false" showHeader="False" >

<html dir="ltr" lang="en-US">
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 
    <title>BTVNA Property Public Rate Card</title>
 
    <!--- CSS --->
   
    </head>
<style>
/* ------- HTML5 display-role reset for older browsers ------- */

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}
/* ------- Remove Chromes border around active fields ------- */
*:focus {
    outline: none;
}
/* ------- Disable background and border for input fields ------- */
input {
    background: transparent;
    border: 0;
}

body {
    background: #eeeeee url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bdyD&amp;oid=00D600000006sHg&amp;lastMod=1348516192000') top left repeat;
}

#container {
    margin: auto;
    margin-top: 0px;
    width: 1400px;
    height: 1000px;
    text-align: left;
    font-family: Verdana, Arial;
    font-weight: normal;
    font-size: 12px;
    color: #ffffff;
}

/* ------- Login Form ------- */
form, .welcome {
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000cuG7&amp;oid=00D600000006sHg&amp;lastMod=1348516079000') top left no-repeat;
    width: 1400px;
    height: 1000px;
    padding-top: 1px;
}

.ProTitle-text {
    width: 210px;
    float: left;
    margin-top: 75px;
    margin-left: 60px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline;  
}
.Programming-table {
    width: 225px;
    float: left;
    margin-top: 10px;
    margin-left: 10px;
    line-height: 150%;
    color: White;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
}
.StartTitle-text {
    width: 250px;
    float: left;
    margin-top: 5px;
    margin-left: 5px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
    text-decoration:underline; 
}
.Starters-text {
    width: 250px;
    float: left;
    margin-top: 25px;
    margin-left: -255px;
 }
.musiclist-text {
    width: 245px;
    float: left;
    margin-top: 25px;
    margin-left: -40px;
 }
.NETitle-text {
    width: 180px;
    float: left;
    margin-top: 5px;
    margin-left: 5px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline;  
}
.Newslist-text {
    width: 180px;
    float: left;
    margin-top: 25px;
    margin-left: 5px;
  
}
.MusicTitle-text {
    float: left;
    margin-top: 5px;
    margin-left: 5px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline; 
}
.SportsTitle-text {
    width: 280px;
    float: left;
    margin-top: 5px;
    margin-left: 15px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
    text-decoration:underline; 
}
.sportslist-text {
    width: 400px;
    float: left;
    margin-top: 25px;
    margin-left: -422px;
    
}
.submit {
    width: 55px;
    height: 75px;
    float: left;
    margin-top: 0px;
    margin-left: 1045px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 26px;
    color: #ffffff;
}
.PB {
    width: 55px;
    height: 73px;
    float: left;
    margin-top: 700px;
    margin-left: -200px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 14px;
    color: #ffffff;
}

.Refresh {
    width: 55px;
    height: 73px;
    float: left;
    margin-top: 0px;
    margin-left: -1025px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 14px;
    color: #ffffff;
}
.table1 {
    width: 240px;
    float: left;
    margin-top: 60px;
    margin-left: 80px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
.table2 {
    width: 250px;
    float: left;
    margin-top: 60px;
    margin-left: 40px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
.table3 {
    width: 225px;
    float: left;
    margin-top: 40px;
    margin-left: 0px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
.table4 {
    width: 180px;
    float: left;
    margin-top: 60px;
    margin-left: 2px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
.table5 {
    width: 450px;
    float: left;
    margin-top: 60px;
    margin-left: 5px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
.table6 {
    width: 250px;
    float: left;
    margin-top: 20px;
    margin-left: 2px;
    color: #FFFFFF;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
}
</style>
      
    <body>
        <div id="container">
           <apex:form >
                <table class="table1">
                    <th>Selected Programming</th>
                    <tr>
                        <td>
                            <apex:dataTable value="{!shoppingCart}" var="s" columns="2"  Styleclass="Programming-table" width="200" title="Selected {!$ObjectType.Product2.LabelPlural}" id="selected">
                            <apex:column headerValue="Package Name" style="font-weight:bold;color:white;font-size:12px" value="{!s.PriceBookEntry.Product2.Name}"/> 
                            <apex:column headerValue="Sales Price" style="font-weight:bold;color:white;font-size:12px" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}" >
                            <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((s.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(s.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>
                            </apex:dataTable>
                        </td>
                    </tr>
                </table>
                 <table class="table2">
                    <tr>
                        <th class="StartTitle-text">Basic</th>
                        <td>
                            <apex:dataTable value="{!Basic}" var="a" styleClass="Starters-text" cellpadding="2">
                            <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px" width="{!IF($CurrentPage.parameters.disc="null",175,155)}"/>                                       
                            <apex:column style="font-weight:bold;color:white;font-size:12px" width="{!IF($CurrentPage.parameters.disc="null",52,81)}">
                            <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>                                    
                            <apex:column > <apex:commandButton style="font-size:11px" value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                            <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                            </apex:dataTable>  
                        </td>
                    </tr>
                    <td>
                  <!--      <table class="table3">
                            <tr>
                                <th class="MusicTitle-text">Music</th>
                                <td>
                                    <apex:dataTable value="{!Music}" var="a" styleClass="musiclist-text" cellpadding="2">                    
                                    <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px"/>                                       
                                    <apex:column style="font-weight:bold;color:white;font-size:12px" >
                                    <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>                                       
                                    <apex:column > <apex:commandButton style="font-size:11px" value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                                    <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                                    </apex:dataTable>  
                                </td>
                            </tr>
                        </table> -->
                    </td>
                </table>
                <table class="table4">
                    <tr>
                        <th class="MusicTitle-text">HD</th>
                        <td>
                            <apex:dataTable value="{!HD}" var="a" styleClass="Newslist-text" cellpadding="2">                    
                            <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px"/>                                       
                            <apex:column style="font-weight:bold;color:white;font-size:12px">
                            <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}" /> </apex:column>                                              
                            <apex:column > <apex:commandButton style="font-size:11px" value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                            <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                            </apex:dataTable>   
                        </td>
                    </tr>
                </table>
                <table class="table5">
                    <tr>
                        <th class="SportsTitle-text">Add On Packages</th>
                        <td>
                            <apex:dataTable value="{!AddOnPackages}" var="a" styleClass="sportslist-text" cellpadding="0">
                            <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px"/>                                       
                            <apex:column style="font-weight:bold;color:white;font-size:12px">
                            <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>                                            
                            <apex:column > <apex:commandButton style="font-size:11px" value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                            <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                            </apex:dataTable> 
                        </td>
                    </tr>
                </table>
                <table class="table6">
                    <tr>
                        <td>
                            <apex:commandlink styleclass="submit" action="{!onSave}" ><span> Go </span> </apex:commandlink>
                        </td>
                        <td>
                            <apex:outputLink value="javascript:history.go(0)" target="_blank" styleclass="Refresh" ><span> Clear_Selection </span></apex:outputLink>
                        </td>
                    </tr>
                </table>
            </apex:form>
        </div>
    </body> 
</html>
</apex:page>